Subject: [Tools-discuss] ietf gitlab

From: Michael Richardson <[email-masked]>
Date: Sun, 01 Aug 2021 16:13:22 -0400

I read in some thread that the IETF apparently owns a Gitlab license.
(I guess a supported version, as I thought the code was open source)

While there are many social reasons that WGs may want to use github, some WGs
and/or some authors might prefer gitlab.
There are a bunch of things which I think we should do with gitlab:
1)  WG charters. I just read read a rechartering, and I don't have the
    history to easily know what's going on. A rechartering branch would
    solve that.

2) the backups that the secretariat keeps from github could be visible there.
   Because... untested processes often have unseen failures.
   While this likely wouldn't deal with issues/pull requests, it would
   allow the core git content to be visible over IPv6.

3) I know that RFC-editor has experimented with git.
   While there might be jurisdictional issues with AUTH48 editing occuring in
   the IETF's gitlab, git lets you deal across repositories easily, so maybe
   this is less of an issue if managed well.

Just some thoughts.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide